/*
Copyright (C) 2024 filifa

This program is free software: you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
this program. If not, see <https://www.gnu.org/licenses/>.
*/

pragma foreign_keys = 0;

begin;
attach database 'lahman-raw.db' as 'raw';
create temp table if not exists "allstargames" (
	"year"	numeric,
	"gameNum"	numeric,
	"game"	text
);

insert into allstargames
select distinct yearid, gamenum, gameid
from "raw".allstarfull;

-- fix game numbers for 1962 all-star games
update allstargames
set gamenum = 1
where game = 'ALS196207100';

update allstargames
set gamenum = 2
where game = 'NLS196207300';

-- 1945 all-star game wasn't played so some rows have no game id
update allstargames
set game = null
where game = '';

create table if not exists allstargames (
	"year"	numeric,
	"gameNum"	numeric,
	"game"	text	unique,
	primary key("year","gameNum"),
	foreign key("year") references "seasons"("year")
);

insert into main.allstargames select distinct * from temp.allstargames;
commit;
