/*
Copyright (C) 2024 filifa

This program is free software: you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
this program. If not, see <https://www.gnu.org/licenses/>.
*/

pragma foreign_keys = 0;

begin;
attach database 'lahman-raw.db' as 'raw';

create temp table if not exists appearancespost (
	"year"	numeric,
	"player"	text,
	"team"	text
);

insert into appearancespost
select distinct yearID, playerID, teamID
from 'raw'.battingpost
union
select distinct yearID, playerID, teamID
from 'raw'.pitchingpost
union
select distinct yearID, playerID, teamID
from 'raw'.fieldingpost;

create table if not exists appearancespost (
	"year"	numeric,
	"player"	text,
	"team"	text,
	primary key("year","player"),
	foreign key("player") references "people"("ID"),
	foreign key("year","team") references "teamseasons"("year","team")
);

insert into main.appearancespost select distinct * from temp."appearancespost";
commit;
