/*
Copyright (C) 2024 filifa

This program is free software: you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
this program. If not, see <https://www.gnu.org/licenses/>.
*/

pragma foreign_keys = 0;

begin;
attach database 'lahman-raw.db' as 'raw';

create temp table collegeplaying as
select * from "raw".collegeplaying;

-- fix school id
update collegeplaying
set schoolID = 'cwpost'
where schoolID = 'ctpostu';

-- baseball almanac says Dick Woodson didn't play in college, and i can't find
-- another source that says otherwise
delete from collegeplaying
where playerid = 'woodsdi01';

CREATE TABLE IF NOT EXISTS main."collegeplaying" (
	"player"	TEXT,
	"school"	TEXT,
	"year"	NUMERIC,
	PRIMARY KEY("player","year","school"),
	foreign key("player") references "people"("ID"),
	foreign key("school") references "schools"("ID")
);

insert into main.collegeplaying select distinct * from temp."collegeplaying";
commit;
