/*
Copyright (C) 2024 filifa

This program is free software: you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
this program. If not, see <https://www.gnu.org/licenses/>.
*/

pragma foreign_keys = 0;

begin;
attach database 'lahman-raw.db' as 'raw';

create temp table managers as
select * from "raw".managers;

alter table managers drop column "lgID";
alter table managers drop column "rank";

update managers
set teamid = 'WS9'
where teamid = 'WAS' and yearid between 1891 and 1899;

update managers
set teamid = 'PHP'
where teamid = 'PH4' and yearid between 1890 and 1891;

CREATE TABLE IF NOT EXISTS main."managers" (
	"ID"	TEXT,
	"year"	NUMERIC,
	"team"	TEXT,
	"inseason"	NUMERIC,
	"G"	NUMERIC,
	"W"	NUMERIC,
	"L"	NUMERIC,
	"plyrMgr"	TEXT,
	PRIMARY KEY("ID","year","team","inseason"),
	foreign key("ID") references "people"("ID"),
	foreign key("year","team") references "teamseasons"("year","team")
);

insert into main.managers select distinct * from temp."managers";
commit;
