/*
Copyright (C) 2024 filifa

This program is free software: you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
this program. If not, see <https://www.gnu.org/licenses/>.
*/

pragma foreign_keys = 0;

begin;
attach database 'lahman-raw.db' as 'raw';

create temp table seriespost as
select * from "raw".seriespost;

alter table "seriespost" drop column "lgIDwinner";
alter table "seriespost" drop column "lgIDloser";

CREATE TABLE IF NOT EXISTS main."seriespost" (
	"year"	NUMERIC,
	"round"	NUMERIC,
	"winner"	TEXT,
	"loser"	TEXT,
	"wins"	NUMERIC,
	"losses"	NUMERIC,
	"ties"	NUMERIC,
	PRIMARY KEY("year","round"),
	foreign key("year") references "seasons"("year"),
	foreign key("winner") references "teams"("ID"),
	foreign key("loser") references "teams"("ID")
);

insert into main.seriespost select distinct * from temp."seriespost";
commit;
