/*
Copyright (C) 2024 filifa

This program is free software: you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
this program. If not, see <https://www.gnu.org/licenses/>.
*/

pragma foreign_keys = 0;

begin;
attach database 'lahman-raw.db' as 'raw';

create temp table teamseasonshalf as
select * from "raw".teamshalf;

alter table teamseasonshalf drop column "lgID";
alter table teamseasonshalf drop column "divID";
alter table teamseasonshalf drop column "DivWin";

insert into teamseasonshalf
select yearid, teamid, half, "rank", sum(g), sum(w), sum(l)
from "raw".managershalf
where yearid = 1892
group by yearid, teamid, half;

update teamseasonshalf
set teamid = 'WS9'
where yearid = 1892 and teamid = 'WAS';

CREATE TABLE IF NOT EXISTS main."teamseasonshalf" (
	"year"	NUMERIC,
	"team"	TEXT,
	"Half"	NUMERIC,
	"Rank"	NUMERIC,
	"G"	NUMERIC,
	"W"	NUMERIC,
	"L"	NUMERIC,
	PRIMARY KEY("year","team","Half"),
	foreign key("year","team") references "teamseasons"("year","team")
);

insert into main.teamseasonshalf select distinct * from temp.teamseasonshalf;
commit;
