/*
Copyright (C) 2024 filifa

This program is free software: you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
this program. If not, see <https://www.gnu.org/licenses/>.
*/

pragma foreign_keys = 0;

begin;
attach database 'lahman-raw.db' as 'raw';
create temp table if not exists "yearlyawards" (
	"year"	numeric,
	"award"	text,
	"league"	text
);

insert into yearlyawards
select distinct yearid, awardid, lgID
from "raw".awardsmanagers
union
select distinct yearid, awardid, lgID
from "raw".awardsplayers;

create table if not exists main."yearlyawards" (
	"year"	numeric,
	"award"	text,
	"league"	text,
	primary key("year","award","league"),
	foreign key("year") references "seasons"("year"),
	foreign key("award") references "awards"("ID")
);

insert into main.yearlyawards select distinct * from temp."yearlyawards";
commit;
